Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class _ArrayDefStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._ArrayDefStub

All Implemented Interfaces:
  ArrayDef, ArrayDefOperations, IDLEntity, IDLType, IDLTypeOperations, IRObject, IRObjectOperations, Object, java.io.Serializable

public class _ArrayDefStub
extends ObjectImpl
implements ArrayDef

An ArrayDef represents an IDL array type. As array types are anonymous, this interface is not derived from TypedefDef or Contained.

See Also:
  Serialized Form

Constructor Summary
`_ArrayDefStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`void` | `destroy()` Operation destroy
`IDLType` | `element_type_def()` Read accessor for element_type_def attribute
`void` | `element_type_def(IDLType value)` Write accessor for element_type_def attribute
`TypeCode` | `element_type()` Read accessor for element_type attribute
`int` | `length()` Read accessor for length attribute
`void` | `length(int value)` Write accessor for length attribute
`TypeCode` | `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _ArrayDefStub

    public _ArrayDefStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### length

    public int length()

  Read accessor for length attribute
  Specified by:
    `length` in interface `ArrayDefOperations`
  Returns:
    the attribute value

### length

    public void length(int value)

  Write accessor for length attribute
  Specified by:
    `length` in interface `ArrayDefOperations`
  Parameters:
    `value` - the attribute value

### element_type

    public TypeCode element_type()

  Read accessor for element_type attribute
  Specified by:
    `element_type` in interface `ArrayDefOperations`
  Returns:
    the attribute value

### element_type_def

    public IDLType element_type_def()

  Read accessor for element_type_def attribute
  Specified by:
    `element_type_def` in interface `ArrayDefOperations`
  Returns:
    the attribute value

### element_type_def

    public void element_type_def(IDLType value)

  Write accessor for element_type_def attribute
  Specified by:
    `element_type_def` in interface `ArrayDefOperations`
  Parameters:
    `value` - the attribute value

### type

    public TypeCode type()

  Read accessor for type attribute
  Specified by:
    `type` in interface `IDLTypeOperations`
  Returns:
    the attribute value

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `IRObjectOperations`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD